## org.eclipse.jst.jsf.facesconfig.emf.impl
Class OrderingOrderingTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.OrderingOrderingTypeImpl

All Implemented Interfaces:
  OrderingOrderingType

    public class OrderingOrderingTypeImpl

extends EObjectImpl
implements OrderingOrderingType

An implementation of the model object 'Ordering Ordering Type'.

The following features are implemented:

- `Name`
- `Others`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetOthers(OrderingOthersType newOthers, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getName()`
`OrderingOthersType` `getOthers()`
`void` `setOthers(OrderingOthersType newOthers)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    public EList getName()

  Specified by:
    `getName` in interface `OrderingOrderingType`
  Returns:
    the value of the 'Name' containment reference list.
  See Also:
    `FacesConfigPackage.getOrderingOrderingType_Name()`

### getOthers

    public OrderingOthersType getOthers()

  Specified by:
    `getOthers` in interface `OrderingOrderingType`
  Returns:
    the value of the 'Others' containment reference.
  See Also:
    `OrderingOrderingType.setOthers(OrderingOthersType)`, `FacesConfigPackage.getOrderingOrderingType_Others()`

### basicSetOthers

    public NotificationChain basicSetOthers(OrderingOthersType newOthers,
                                            NotificationChain msgs)

  Parameters:
    `newOthers` -
    `msgs` -
  Returns:
    NotificationChain

### setOthers

    public void setOthers(OrderingOthersType newOthers)

  Specified by:
    `setOthers` in interface `OrderingOrderingType`
  Parameters:
    `newOthers` - the new value of the 'Others' containment reference.
  See Also:
    `OrderingOrderingType.getOthers()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)